<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="/css/style.css">
    <title>ebooks - TextGridRep</title>
</head>

<body>

    <div class="content">

        <h1 class="head"><a href="/"><img src="/images/textgrid-repository-logo.svg" alt="TextGrid Repository Logo"></a>ebooks</h1>

        <form action="/" method="GET">
            <input id="search" type="text" name="q" placeholder="enter search term" value="{query}">
        </form>

        {#if searchResponse}
        <ul>
            {#for result in searchResponse.result}
            <li class="list-item">
                <div>
                    <p class="author">
                        {#if result.author}
                        {result.author}
                        {#else if result.object.edition.agent[0].value??}
                        {result.object.edition.agent[0].value}
                        {#else if result.object.work.agent[0].value??}
                        {result.object.work.agent[0].value}
                        {/if}
                    </p>

                    <p class="title">{result.object.generic.provided.title[0]}</p>
                </div>
                <a class="download" target="_blank"
                    href="{aggregatorUrl}/epub/{result.object.generic.generated.textgridUri.value}">Download</a>
            </li>
            {/for}
        </ul>

        {#include components/pager /}

        </ul>
        {#else}
        <div class="intro">
            <p>This portal is optimized for e-paper devices for searching and downloading epub files to your reader.</p>
            <p>Enter a search term above to get started.</p>
        </div>
        {/if}
    </div>
</body>

</html>